Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## profiles.uitest
Class RepainterThread

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--profiles.uitest.RepainterThread

All Implemented Interfaces:
  java.lang.Runnable

public class RepainterThread
extends java.lang.Thread

Field Summary
`(package private) java.awt.Component` | `component`
`(package private) boolean` | `stop`
`(package private) long` | `updateInterval`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`RepainterThread(java.awt.Component c)`

Method Summary
`long` | `getUpdateInterval()`
`void` | `run()`
`void` | `setUpdateInterval(long updateInterval)`
`void` | `stopUpdating()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### component

    java.awt.Component component

### updateInterval

    long updateInterval

### stop

    boolean stop

Constructor Detail

### RepainterThread

    public RepainterThread(java.awt.Component c)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### stopUpdating

    public void stopUpdating()

### getUpdateInterval

    public long getUpdateInterval()

### setUpdateInterval

    public void setUpdateInterval(long updateInterval)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD